[
  {
    "chunk_id": 24,
    "chunk_type": "group",
    "human_description": "This is group 'ChartGroup' definition for report 'BarChartReport'. Group expression: ($V{FirstLetterCount} - 1) / 3. Has groupHeader: Yes, has groupFooter: Yes. Min height: 200, start new column: true, reprint header: false.",
    "raw_xml": "<group name=\"ChartGroup\" minHeightToStartNewPage=\"200\" startNewColumn=\"true\">\n\t\t<expression>($V{FirstLetterCount} - 1) / 3</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"250\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"5d667f9e-57db-4b41-b7dc-e20c80540b8d\" x=\"0\" y=\"14\" width=\"270\" height=\"11\" forecolor=\"#FFDDDD\" backcolor=\"#FFDDDD\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"211c4477-596e-4753-8b41-fd2489e11936\" mode=\"Opaque\" x=\"0\" y=\"14\" width=\"130\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>Countries Starting With Letter :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"fa8b5f75-a1ca-4ecc-bfa7-661d81056c67\" mode=\"Opaque\" x=\"130\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterMin}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"e678016b-dc56-4286-aef1-58028a2e0b6b\" mode=\"Opaque\" x=\"150\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" hTextAlign=\"Center\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>to</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"f64fae59-8f1e-429e-995a-6359a920c091\" mode=\"Opaque\" x=\"170\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterMax}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"bar\" uuid=\"a220a3ef-6bb2-4a4d-8bd3-5bda467cc036\" positionType=\"Float\" x=\"0\" y=\"50\" width=\"270\" height=\"175\" evaluationTime=\"Group\" customizerClass=\"net.sf.jasperreports.samples.charts.BarChartCustomizer\" evaluationGroup=\"ChartGroup\">\n\t\t\t\t\t<dataset kind=\"category\" incrementType=\"Group\" resetGroup=\"ChartGroup\" incrementGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} * 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup}</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} / 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showTickMarks=\"true\" showTickLabels=\"true\">\n\t\t\t\t\t\t<itemLabel color=\"#000000\" backgroundColor=\"#FFFFFF\" />\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"line\" uuid=\"07849db7-e17c-4358-94d6-c3255002b11d\" x=\"0\" y=\"0\" width=\"270\" height=\"1\" forecolor=\"#FF0000\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"b5a21c0f-2bcf-424e-8cf4-204a33b6310a\" x=\"0\" y=\"1\" width=\"45\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"3f0d0c1e-dec6-40aa-b6f3-1bce7ac6e6e9\" x=\"45\" y=\"1\" width=\"25\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{ChartGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"e9988008-1771-4e92-a1c8-66465725b288\" x=\"70\" y=\"1\" width=\"140\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"ea5b1caf-d5f5-42ad-adf9-1f27a6ada3fa\" x=\"210\" y=\"1\" width=\"60\" height=\"11\" forecolor=\"#FF0000\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumChartGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'BarChartReport' group 'ChartGroup'",
    "metadata": {
      "group_name": "ChartGroup",
      "expression": "($V{FirstLetterCount} - 1) / 3",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "200",
      "startNewColumn": "true",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 24,
    "chunk_type": "group",
    "human_description": "This is group 'ChartGroup' definition for report 'BarChartReport'. Group expression: ($V{FirstLetterCount} - 1) / 3. Has groupHeader: Yes, has groupFooter: Yes. Min height: 200, start new column: true, reprint header: false.",
    "raw_xml": "<group name=\"ChartGroup\" minHeightToStartNewPage=\"200\" startNewColumn=\"true\">\n\t\t<expression>($V{FirstLetterCount} - 1) / 3</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"250\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"5d667f9e-57db-4b41-b7dc-e20c80540b8d\" x=\"0\" y=\"14\" width=\"270\" height=\"11\" forecolor=\"#FFDDDD\" backcolor=\"#FFDDDD\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"211c4477-596e-4753-8b41-fd2489e11936\" mode=\"Opaque\" x=\"0\" y=\"14\" width=\"130\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>Countries Starting With Letter :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"fa8b5f75-a1ca-4ecc-bfa7-661d81056c67\" mode=\"Opaque\" x=\"130\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterMin}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"e678016b-dc56-4286-aef1-58028a2e0b6b\" mode=\"Opaque\" x=\"150\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" hTextAlign=\"Center\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>to</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"f64fae59-8f1e-429e-995a-6359a920c091\" mode=\"Opaque\" x=\"170\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterMax}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"bar\" uuid=\"a220a3ef-6bb2-4a4d-8bd3-5bda467cc036\" positionType=\"Float\" x=\"0\" y=\"50\" width=\"270\" height=\"175\" evaluationTime=\"Group\" customizerClass=\"net.sf.jasperreports.samples.charts.BarChartCustomizer\" evaluationGroup=\"ChartGroup\">\n\t\t\t\t\t<dataset kind=\"category\" incrementType=\"Group\" resetGroup=\"ChartGroup\" incrementGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} * 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup}</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} / 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showTickMarks=\"true\" showTickLabels=\"true\">\n\t\t\t\t\t\t<itemLabel color=\"#000000\" backgroundColor=\"#FFFFFF\" />\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"line\" uuid=\"07849db7-e17c-4358-94d6-c3255002b11d\" x=\"0\" y=\"0\" width=\"270\" height=\"1\" forecolor=\"#FF0000\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"b5a21c0f-2bcf-424e-8cf4-204a33b6310a\" x=\"0\" y=\"1\" width=\"45\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"3f0d0c1e-dec6-40aa-b6f3-1bce7ac6e6e9\" x=\"45\" y=\"1\" width=\"25\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{ChartGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"e9988008-1771-4e92-a1c8-66465725b288\" x=\"70\" y=\"1\" width=\"140\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"ea5b1caf-d5f5-42ad-adf9-1f27a6ada3fa\" x=\"210\" y=\"1\" width=\"60\" height=\"11\" forecolor=\"#FF0000\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumChartGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'BarChartReport' group 'ChartGroup'",
    "metadata": {
      "group_name": "ChartGroup",
      "expression": "($V{FirstLetterCount} - 1) / 3",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "200",
      "startNewColumn": "true",
      "reprintHeaderOnEachPage": "false"
    }
  }
]